Package ru.bitel.bgbilling.kernel.contract.api.common.bean

# Class ContractTariffEntry

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.contract.api.common.bean.ContractTariffEntry

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class ContractTariffEntry extends IdTitle
Тариф, привязанный к договору, будь то глобальный или персональный.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractTariffEntry()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Date>`
  `getAvailableChangeDates()`
  `List<Integer>`
  `getAvailableChangeTariffIds()`
  `String`
  `getComment()`
  `int`
  `getContractId()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `int`
  `getEntityId()`
  `int`
  `getEntityMid()`
  `int`
  `getPosition()`
  `int`
  `getReplacedFromContractTariffId()`
  `int`
  `getReplacedFromTariffId()`
  `String`
  `getTariffPlanComment()`
  Комментарий тарифа( из справочника тарифа )
  `int`
  `getTariffPlanId()`
  `int`
  `getTreeId()`
  `String`
  `getWebTitle()`
  `boolean`
  `isCanCancel()`
  `boolean`
  `isPersonal()`
  `void`
  `setAvailableChangeDates(List<Date> availableChangeDates)`
  `void`
  `setAvailableChangeTariffIds(List<Integer> availableChangeTariffIds)`
  `void`
  `setCanCancel(boolean canCancel)`
  `void`
  `setComment(String comment)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setDateFrom(Date dateFrom)`
  `void`
  `setDateTo(Date dateTo)`
  `void`
  `setEntityId(int entityId)`
  `void`
  `setEntityMid(int entityMid)`
  `void`
  `setPersonal(boolean personal)`
  `void`
  `setPosition(int position)`
  `void`
  `setReplacedFromContractTariffId(int replacedFromContractTariffId)`
  `void`
  `setReplacedFromTariffId(int replacedFromTariffId)`
  `void`
  `setTariffPlanComment(String tariffPlanComment)`
  `void`
  `setTariffPlanId(int tariffPlanId)`
  `void`
  `setTreeId(int treeId)`
  `void`
  `setWebTitle(String webTitle)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ContractTariffEntry

    public ContractTariffEntry()

- ## Method Details

  - ### isPersonal

    public boolean isPersonal()

  - ### setPersonal

    public void setPersonal(boolean personal)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom(Date dateFrom)

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public void setDateTo(Date dateTo)

  - ### getPosition

    public int getPosition()

  - ### setPosition

    public void setPosition(int position)

  - ### getEntityMid

    public int getEntityMid()

  - ### setEntityMid

    public void setEntityMid(int entityMid)

  - ### getEntityId

    public int getEntityId()

  - ### setEntityId

    public void setEntityId(int entityId)

  - ### getTreeId

    public int getTreeId()

  - ### setTreeId

    public void setTreeId(int treeId)

  - ### getTariffPlanId

    public int getTariffPlanId()

  - ### setTariffPlanId

    public void setTariffPlanId(int tariffPlanId)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getReplacedFromContractTariffId

    public int getReplacedFromContractTariffId()

  - ### setReplacedFromContractTariffId

    public void setReplacedFromContractTariffId(int replacedFromContractTariffId)

  - ### getReplacedFromTariffId

    public int getReplacedFromTariffId()

  - ### setReplacedFromTariffId

    public void setReplacedFromTariffId(int replacedFromTariffId)

  - ### isCanCancel

    public boolean isCanCancel()

  - ### setCanCancel

    public void setCanCancel(boolean canCancel)

  - ### getAvailableChangeTariffIds

    public List<Integer> getAvailableChangeTariffIds()

  - ### setAvailableChangeTariffIds

    public void setAvailableChangeTariffIds(List<Integer> availableChangeTariffIds)

  - ### getAvailableChangeDates

    public List<Date> getAvailableChangeDates()

  - ### setAvailableChangeDates

    public void setAvailableChangeDates(List<Date> availableChangeDates)

  - ### getWebTitle

    public String getWebTitle()

  - ### setWebTitle

    public void setWebTitle(String webTitle)

  - ### getTariffPlanComment

    public String getTariffPlanComment()
    Комментарий тарифа( из справочника тарифа )

  - ### setTariffPlanComment

    public void setTariffPlanComment(String tariffPlanComment)